mono-fastcgi-server4_2.10-2.4_all.deb


Advertisement

Description

mono-fastcgi-server4 - ASP.NET 4.0 backend for FastCGI webservers

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main amd64
Package name mono-fastcgi-server4
Package version 2.10
Package release 2.4
Package architecture all
Package type deb
Installed size 178 B
Download size 79.12 KB
Official Mirror ftp.br.debian.org
mono-fastcgi-server contains the backend for FastCGI. It lets you run
ASP.NET web applications via HTTP servers such as Lighttpd or Apache.
The FastCGI webserver shouldbe configured to run fastcgi-mono-server to
parse and compile the aspx code.
This package requires you to install any FastCGI webserver, such as
Lighttpd or Apache (see libapache2-mod-fcgid).

Alternatives

Package Version Architecture Repository
mono-fastcgi-server4_2.10-2.4_all.deb 2.10 all Debian Main
mono-fastcgi-server4 - - -

Requires

Name Value
libc0.1 >= 2.13
libc6 >= 2.13
libc6.1 >= 2.13
libmono-corlib4.0-cil >= 2.10.1
libmono-posix4.0-cil >= 2.10.1
libmono-system-configuration4.0-cil >= 1.0
libmono-system-web4.0-cil >= 2.10.3
libmono-system-xml4.0-cil >= 1.0
libmono-system4.0-cil >= 2.10.7
mono-runtime >= 2.10.1
mono-xsp4-base = 2.10-2.4
perl-modules -

Replaces

Name Value
mono-fastcgi-server1 -

Download

Type URL
Binary Package mono-fastcgi-server4_2.10-2.4_all.deb
Source Package xsp

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install mono-fastcgi-server4 deb package:
    # sudo apt-get install mono-fastcgi-server4

Files

Path
/usr/bin/fastcgi-mono-server4
/usr/lib/mono/4.0/fastcgi-mono-server4.exe
/usr/lib/mono/gac/fastcgi-mono-server4/2.10.0.0__0738eb9f132ed756/fastcgi-mono-server4.exe
/usr/share/doc/mono-fastcgi-server4/AUTHORS
/usr/share/doc/mono-fastcgi-server4/NEWS.gz
/usr/share/doc/mono-fastcgi-server4/README
/usr/share/doc/mono-fastcgi-server4/README.Debian
/usr/share/doc/mono-fastcgi-server4/changelog.Debian.gz
/usr/share/doc/mono-fastcgi-server4/changelog.gz
/usr/share/doc/mono-fastcgi-server4/copyright
/usr/share/man/man1/fastcgi-mono-server4.1.gz

Changelog

2012-10-07 - gregor herrmann <gregoa@debian.org>
xsp (2.10-2.4) unstable; urgency=low
* Non-maintainer upload.
* Fix "modifies conffiles (policy 10.7.3): /etc/default/mono-xsp2"
use variable instead if string for db_set in
debian/mono-apache-server[2,4].config. (Cf. #688565).
Thanks to Adam D. Barratt for spotting this mistake (in #688205).
2012-10-06 - gregor herrmann <gregoa@debian.org>
xsp (2.10-2.3) unstable; urgency=low
* Non-maintainer upload.
* Fix "modifies conffiles (policy 10.7.3): /etc/default/mono-xsp2":
s/db_get/db_set/ in debian/mono-xsp[24].config.
Thanks to Andreas Beckmann for hunting down my silly mistake.
(Closes: #688205)
2012-10-05 - gregor herrmann <gregoa@debian.org>
xsp (2.10-2.2) unstable; urgency=low
* Non-maintainer upload.
* Fix "modifies conffiles (policy 10.7.3): /etc/default/mono-xsp2" and
"mono-apache-server2, mono-apache-server4: modifies conffiles (policy
10.7.3): /etc/default/mono-apache-server[24]" and another not yet reported
case of the same problem in mono-xsp4:
for all of mono-xsp[24] and mono-apache-server[24]:
- don't ship the .default file
- create it in .postinst if necessary
- source it in .config to feed existing values into debconf
- remove it in .postrm/purge
(Closes: #688205, Closes: #688565)
* Fix "mono-apache-server{2, 4}: unowned files after purge (policy
6.8, 10.8): /etc/mono-server?/mono-server?-hosts.conf":
- remove files in .postrm/purge
(Closes: #668755)
2012-04-01 - Christian Perrier <bubulle@debian.org>
xsp (2.10-2.1) unstable; urgency=low
* Non-maintainer upload.
* Fix pending l10n issues. Debconf translations:
* Japanese (Hideki Yamane).  Closes: #626374
* Swedish (Martin Bagge / brother).  Closes: #661963
* Polish (Michał Kułach).  Closes: #662919
2012-01-20 - Jo Shields <directhex@apebox.org>
xsp (2.10-2) unstable; urgency=low
[ Jo Shields ]
* [91ef16c] Add missing dependencies to dh-xsp
* [d9953f7] Updated Swedish translation. Thanks to Martin Bagge. (Closes: #623408)
* [d8c3c1c] Switch to DH8-compatible use of "--with cli"
[ Iain Lane ]
* [dc3bc8b] Fix typographical problems in debconf templates.
Thanks to Jeroen Schot <schot@A-Eskwadraat.nl>
* [8dcab08] Typo fix in French translation from David Prévot
[ Christian Perrier ]
* [e280105] Update & unfuzzy translations (Closes: #653030, #653081, #653224)

See Also

Package Description
mono-fastcgi-server_2.10-2.4_all.deb ASP.NET backend for FastCGI webservers - default version
mono-gac_2.10.8.1-8+deb7u1_all.deb Mono GAC tool
mono-gmcs_2.10.8.1-8+deb7u1_all.deb Mono C# 2.0 and C# 3.0 compiler for CLI 2.0
mono-jay_2.10.8.1-8+deb7u1_amd64.deb LALR(1) parser generator oriented to Java/CLI
mono-mcs_2.10.8.1-8+deb7u1_all.deb Mono C# 2.0 / 3.0 / 4.0 compiler for CLI 2.0 / 4.0
mono-profiler_2.10-6_all.deb Mono profiler
mono-runtime-sgen_2.10.8.1-8+deb7u1_amd64.deb Mono runtime - SGen (experimental)
mono-runtime_2.10.8.1-8+deb7u1_amd64.deb Mono runtime
mono-tools-devel_2.10-6_all.deb Various development tools for mono
mono-tools-gui_2.10-6_all.deb Various GUI tools for mono
mono-upnp-bin_0.1.2-1_all.deb client/server libraries for UPnP -- executables
mono-utils_2.10.8.1-8+deb7u1_amd64.deb Mono utilities
mono-vbnc_2.10-2_all.deb Mono Visual Basic Compiler (VB.NET)
mono-winforms-a11y_2.1-2_all.deb Accessibility support for WinForms applications in Mono
mono-xbuild_2.10.8.1-8+deb7u1_all.deb MSBuild-compatible build system for Mono
Advertisement
Advertisement